//+------------------------------------------------------------------+
//|                                        TestSignalTransmitter.mq4 |
//|                                    Copyright  2008, fxtrader625 |
//|                                  http://www.forexampletrades.com |
//|                            Donation: paypal@forexampletrades.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, fxtrader625"
#property link      "http://www.forexampletrades.com"

#import "TradeSwitch.dll"
int FlushSignal(string Name);
int SendSignal(string Name, string Value);
string ReceiveSignal(string Name);

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
{
   // Flush internal signal data
   FlushSignal(Symbol());
   Comment("Flushed internal data.");
   return(0);
}
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
{
   return(0);
}
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
{
   SendSignal(Symbol(), "OrderSend 1.2345 2 30");
   Comment("Signal data sent to Registry.");
   // See signal data in HKEY_CURRENT_USER\Software\TradeSwitch\Signals registry
   return(0);
}
//+------------------------------------------------------------------+

